const months = {
    January: '01',
    February: '02',
    March: '03',
    April: '04',
    May: '05',
    June: '06',
    July: '07',
    August: '08',
    September: '09',
    October: '10',
    November: '11',
    December: '12',
  }

function validate() 
{
    var email = document.getElementById("email").value;
    var name = document.getElementById("name").value;
    var password = document.getElementById("password").value;
    var repeatPassword = document.getElementById("repeatPassword").value;
    var day = document.getElementById("day").value;
    var month = document.getElementById("month").value;
    var year = document.getElementById("year").value;

    var errors = "";
    // unaprijediti konkatenaciju i prikazati alert
    errors += isPasswordValid(password, repeatPassword);
    errors += isDateValid(day, month, year);
    console.log(errors);

}

function isPasswordValid(password, repeatPassword)
{
    if (password !== repeatPassword) return "Sifre se ne poklapaju!";
    if (password.length < 8) return "Duzina sifre je manja od 8 karaktera!";
    var capital = 0;
    var number = 0;
    for (var i = 0; i < password.length; i++) {
        char = password[i];
        if (char >= 'A' && char <= 'Z') capital++;
        if (char >= '0' && char <= '9') number++;
    }
    if (capital == 0) return "Sifra mora sadrzati makar jedno veliko slovo!";
    if (number == 0) return "Sifra mora sadrzati makar jednu cifru!";
    return "";

}

function isDateValid(day, month, year)
{
    if(!isNumber(year)) return "Neispravan unos godine!";
    var yearNum = stringToNumber(year);
    var dayNum = stringToNumber(day);
    var monthNum = stringToNumber(months[month]);
    // unaprijediti ovaj uslov da stvarno provjerava datum rodjenja (napredno)
    if (yearNum < 1900 || yearNum > 2004) return "Korisnik mora biti punoljetan!";
    const arr31 = [1, 3, 5, 7, 8, 10, 12];
    const arr30 = [4, 6, 9, 11];
    // validacija za februar -> vjezba kuci :) 
    // provjeriti da li je godina prestupna
    if (monthNum in arr31 && dayNum > 31) return "Neispravan broj dana za zadati mjesec!";
    if (monthNum in arr30 && dayNum > 30) return "Neispravan broj dana za zadati mjesec!";
    //var date = months[month] + '/' + day + '/' + year;
    return ""
}

function isNumber(s) 
{
    // Moze i upotrebom parseInt pa provjerom isNan!
    for(var i = 0; i < s.length; i++)
    {
        const d = s.charCodeAt(i);
        if (d < 48 || d > 57) return false; 
    }
    return true;
}

function stringToNumber(s)
{
    return parseInt(s);
}

